PX_DELETE_RECORD(3)

NAME
PX_delete_record — Removes a record from a Paradox file

SYNOPSIS

#include <paradox.h>

int PX_delete_record(pxdoc_t *pxdoc, int recpos)

DESCRIPTION

Removes the record with number recpos from the Paradox file. The first record has number 0. The data of the record will be wiped out, making it impossible to reconstruct it later. The data block where the record was stored is reconstruct to make sure all records are at the beginning of the data block followed by the free space.

Calls of PX_insert_record(3) will use the first datablock with free space and add the new record after the records in the data block.

RETURN VALUE

Returns 0 on success or -1 on failure.

SEE ALSO

PX_retrieve_record(3), PX_insert_record(3), PX_update_record(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.